From 0b9db6c73216725b961802638feebc5066489a29 Mon Sep 17 00:00:00 2001
From: Shugo Maeda <shugo@ruby-lang.org>
Date: Tue, 3 Aug 2010 14:11:03 +0900
Subject: [PATCH 16/51] do not permit classbox reopen.

---
 lib/classbox.rb |   12 +++---------
 1 files changed, 3 insertions(+), 9 deletions(-)

diff --git a/lib/classbox.rb b/lib/classbox.rb
index a064aec..a5b1af8 100644
--- a/lib/classbox.rb
+++ b/lib/classbox.rb
@@ -19,20 +19,14 @@ class Classbox < Module
     modules = @__overlayed_modules__[klass] ||= []
     modules.push(mod)
     overlay_module(klass, mod, binding(1))
-    # TODO: Why isn't the following code necessary?
-    # import_to(block.binding)
     mod.module_eval(&block)
   end
 end
 
 def classbox(name, &block)
-  begin
-    mod = Object.const_get(name)
-  rescue NameError
-    mod = Classbox.new
-    Object.const_set(name, mod)
-  end
-  mod.module_eval(&block)
+  classbox = Classbox.new
+  Object.const_set(name, classbox)
+  classbox.module_eval(&block)
 end
 
 def import_classbox(classbox)
-- 
1.7.0.4

